org.apache.ignite.internal.processors.cacheobject

## Class UserCacheObjectByteArrayImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectByteArrayImpl
  - - org.apache.ignite.internal.processors.cacheobject.UserCacheObjectByteArrayImpl

All Implemented Interfaces:
  Externalizable, Serializable, CacheObject, Message

    public class UserCacheObjectByteArrayImpl
    extends CacheObjectByteArrayImpl

Wraps value provided by user, must be copied before stored in cache.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheObjectByteArrayImpl

`val`

### Fields inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`TYPE_BINARY, TYPE_BINARY_ENUM, TYPE_BYTE_ARR, TYPE_REGULAR`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UserCacheObjectByteArrayImpl()`
`UserCacheObjectByteArrayImpl(byte[] val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheObject` `prepareForCache(CacheObjectContext ctx)` Prepares cache object for cache (e.g. copies user-provided object if needed).
`<T> T` `value(CacheObjectValueContext ctx, boolean cpy)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectByteArrayImpl

`cacheObjectType, directType, fieldsCount, finishUnmarshal, isPlatformType, onAckReceived, prepareMarshal, putValue, putValue, putValue, readExternal, readFrom, toString, valueBytes, valueBytesLength, writeExternal, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserCacheObjectByteArrayImpl

    public UserCacheObjectByteArrayImpl()

#### UserCacheObjectByteArrayImpl

    public UserCacheObjectByteArrayImpl(byte[] val)

Parameters:
  `val` - Value.

### Method Detail

#### value

    @Nullable
    public <T> T value(CacheObjectValueContext ctx,
                                 boolean cpy)

Specified by:
  `value` in interface `CacheObject`
Overrides:
  `value` in class `CacheObjectByteArrayImpl`
Parameters:
  `ctx` - Context.
  `cpy` - If `true` need to copy value.
Returns:
  Value.

#### prepareForCache

    public CacheObject prepareForCache(CacheObjectContext ctx)

Prepares cache object for cache (e.g. copies user-provided object if needed).

Specified by:
  `prepareForCache` in interface `CacheObject`
Overrides:
  `prepareForCache` in class `CacheObjectByteArrayImpl`
Parameters:
  `ctx` - Cache context.
Returns:
  Instance to store in cache.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018